package com.ruoyi.project.sems.service.impl;

import com.ruoyi.project.sems.domain.TMeasureLoop;
import com.ruoyi.project.sems.mapper.TMeasureLoopMapper;
import com.ruoyi.project.sems.service.ITMeasureLoopService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 腐蚀回路图管理Service业务层处理
 *
 * @author ly
 * @date 2024-12-16
 */
@Service
public class TMeasureLoopServiceImpl implements ITMeasureLoopService
{
    @Autowired
    private TMeasureLoopMapper tMeasureLoopMapper;

    /**
     * 查询腐蚀回路图管理
     *
     * @param id 腐蚀回路图管理ID
     * @return 腐蚀回路图管理
     */
    @Override
    public TMeasureLoop selectTMeasureLoopById(Long id)
    {
        return tMeasureLoopMapper.selectTMeasureLoopById(id);
    }

    /**
     * 查询腐蚀回路图管理列表
     *
     * @param tMeasureLoop 腐蚀回路图管理
     * @return 腐蚀回路图管理
     */
    @Override
    public List<TMeasureLoop> selectTMeasureLoopList(TMeasureLoop tMeasureLoop)
    {
        return tMeasureLoopMapper.selectTMeasureLoopList(tMeasureLoop);
    }

    /**
     * 新增腐蚀回路图管理
     *
     * @param tMeasureLoop 腐蚀回路图管理
     * @return 结果
     */
    @Override
    public int insertTMeasureLoop(TMeasureLoop tMeasureLoop)
    {
        return tMeasureLoopMapper.insertTMeasureLoop(tMeasureLoop);
    }

    /**
     * 修改腐蚀回路图管理
     *
     * @param tMeasureLoop 腐蚀回路图管理
     * @return 结果
     */
    @Override
    public int updateTMeasureLoop(TMeasureLoop tMeasureLoop)
    {
        return tMeasureLoopMapper.updateTMeasureLoop(tMeasureLoop);
    }

    /**
     * 批量删除腐蚀回路图管理
     *
     * @param ids 需要删除的腐蚀回路图管理ID
     * @return 结果
     */
    @Override
    public int deleteTMeasureLoopByIds(Long[] ids)
    {
        return tMeasureLoopMapper.deleteTMeasureLoopByIds(ids);
    }

    /**
     * 删除腐蚀回路图管理信息
     *
     * @param id 腐蚀回路图管理ID
     * @return 结果
     */
    @Override
    public int deleteTMeasureLoopById(Long id)
    {
        return tMeasureLoopMapper.deleteTMeasureLoopById(id);
    }

    @Override
    public List<TMeasureLoop> selectTMeasureLoopUrl(TMeasureLoop tMeasureLoop) {
        return tMeasureLoopMapper.selectTMeasureLoopUrl(tMeasureLoop);
    }
}
